import _useAssets from './useAssets';
import _useBalances, { Balances as _Balances } from './useBalances';
import { WhiteListTicket as _WhiteListTicket, PassContractData as _PassContractData } from '@inkerlabs/sdk';
export declare const useContractData: () => [_PassContractData | undefined, string | undefined];
export declare const useContractMetadata: () => [import("@inkerlabs/sdk").ContractMetadata | undefined, string | undefined];
export declare const useAssets: typeof _useAssets;
export declare const useBalances: typeof _useBalances;
export declare const useBuyPrivate: () => (assetId: string, amount: number) => Promise<boolean>;
export declare const useBuyPublic: () => (assetId: string, amount: number) => Promise<boolean>;
export declare const useWhiteListTickets: (privateSales: boolean) => [(_WhiteListTicket[] | undefined)?, (string | undefined)?];
export declare const useConfig: () => import("@inkerlabs/sdk").PassConfig;
export declare type PassContractData = _PassContractData;
export declare type Balances = _Balances;
